Unable to upgrade if webservices contrib plugin already installed

Bug #1614298 reported by Robert Lyon on 2016-08-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
15.04
Medium
Unassigned
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Robert Lyon

Bug Description

If the mahara site is already using the webservices contributed plugin

https://github.com/piersharding/mahara-contrib-auth-webservice

in a site older than 15.04 and you try to upgrade - the upgrade process fails

This is due to renaming some db fields

Will add a patch to fix up the variances

Reviewed: https://reviews.mahara.org/6855
Committed: https://git.mahara.org/mahara/mahara/commit/b6ecbf9f21e4f737da83f48237c8cc46e4b04965
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b6ecbf9f21e4f737da83f48237c8cc46e4b04965
Author: Robert Lyon <email address hidden>
Date: Thu Aug 18 10:30:10 2016 +1200

Bug 1614298: Adjusting the upgrade process for webservices plugin

In case the site was using the old contrib plugin

behatnotneeded - upgrade issue

Change-Id: I96b20395e09699aa1775bc00339e6db63a10e235
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6874

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6875

Reviewed: https://reviews.mahara.org/6873
Committed: https://git.mahara.org/mahara/mahara/commit/ba589027e6cb0a541243a62efd6636b4d9d55d04
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit ba589027e6cb0a541243a62efd6636b4d9d55d04
Author: Robert Lyon <email address hidden>
Date: Thu Aug 18 10:30:10 2016 +1200

Bug 1614298: Adjusting the upgrade process for webservices plugin

In case the site was using the old contrib plugin

behatnotneeded - upgrade issue

Change-Id: I96b20395e09699aa1775bc00339e6db63a10e235
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit b6ecbf9f21e4f737da83f48237c8cc46e4b04965)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6874
Committed: https://git.mahara.org/mahara/mahara/commit/f8ff2dfa3dd8116e6b8d25d48d08c8dba62349cd
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit f8ff2dfa3dd8116e6b8d25d48d08c8dba62349cd
Author: Robert Lyon <email address hidden>
Date: Thu Aug 18 10:30:10 2016 +1200

Bug 1614298: Adjusting the upgrade process for webservices plugin

In case the site was using the old contrib plugin

behatnotneeded - upgrade issue

Change-Id: I96b20395e09699aa1775bc00339e6db63a10e235
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit b6ecbf9f21e4f737da83f48237c8cc46e4b04965)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6875
Committed: https://git.mahara.org/mahara/mahara/commit/f3adf42135bbe860d557779bfaa61511c0ca1c92
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit f3adf42135bbe860d557779bfaa61511c0ca1c92
Author: Robert Lyon <email address hidden>
Date: Thu Aug 18 10:30:10 2016 +1200

Bug 1614298: Adjusting the upgrade process for webservices plugin

In case the site was using the old contrib plugin

behatnotneeded - upgrade issue

Change-Id: I96b20395e09699aa1775bc00339e6db63a10e235
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit b6ecbf9f21e4f737da83f48237c8cc46e4b04965)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers